> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuralverge.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Poshmark related items

> Listings Poshmark shows as related to a listing, by listing id or URL. 1 point per returned record.



## OpenAPI

````yaml /openapi.json post /functions/v1/run-poshmark-items-related
openapi: 3.0.0
info:
  title: NeuralVerge API
  version: 1.0.0
  description: >-
    NeuralVerge API for AI research workflows, search, extraction, and
    structured data source execution.
servers:
  - url: https://api.neuralverge.ai
    description: NeuralVerge API
security:
  - BearerAuth: []
tags:
  - name: AI Research
    description: Research workflows and session tracking.
  - name: AI Extract
    description: Schema-driven extraction workflows.
  - name: AI Agents
    description: Reusable saved agents executed through the API.
  - name: Search
    description: Fast, synchronous web search with no session or polling.
  - name: Company intelligence
    description: Company profile lookups from company databases.
  - name: E-commerce & Marketplaces
    description: >-
      Product, seller, and review lookups on Amazon, eBay, Walmart, AliExpress,
      and Alibaba.
  - name: Enrichment
    description: Email and phone enrichment, validation, and discovery.
  - name: Product reviews
    description: >-
      Software and business reviews from Capterra, Gartner Peer Insights, and
      Trustpilot.
  - name: Social media
    description: LinkedIn profile, company, and people lookups.
paths:
  /functions/v1/run-poshmark-items-related:
    post:
      tags:
        - E-commerce & Marketplaces
      summary: Poshmark related items
      description: >-
        Listings Poshmark shows as related to a listing, by listing id or URL. 1
        point per returned record.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                item:
                  description: >-
                    Listing. e.g. Listing id or URL, e.g.
                    6865651dd6c0dc3f3fdfc8ea
                  type: string
                domain:
                  description: >-
                    Domain. Options: poshmark.com = poshmark.com, poshmark.ca =
                    poshmark.ca
                  type: string
                  enum:
                    - poshmark.com
                    - poshmark.ca
                  default: poshmark.com
                max_items:
                  description: Max related items (up to 50)
                  type: integer
                  minimum: 1
                  maximum: 50
                  default: 25
              required:
                - item
            example:
              item: Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea
              max_items: 2
      responses:
        '200':
          description: Run completed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  session_id:
                    type: string
                    description: Session identifier for this run.
                  kind:
                    type: string
                    description: Data source identifier for this endpoint.
                  item:
                    type: string
                  item_id:
                    type: string
                  domain:
                    type: string
                  max_items:
                    type: integer
                  partial:
                    type: boolean
                    description: >-
                      True when the scrape stopped early and returned the
                      records collected so far.
                  human:
                    type: string
                    description: Markdown summary of the result, for display.
                  machine:
                    type: object
                    properties:
                      total_items:
                        type: integer
                      first_item:
                        type: object
                        properties:
                          '@type':
                            type: string
                          id:
                            type: string
                          url:
                            type: string
                          title:
                            type: string
                          description:
                            type: string
                          brand: {}
                          brand_id: {}
                          price:
                            type: object
                            properties:
                              '@type':
                                type: string
                              amount:
                                type: integer
                              currency:
                                type: string
                              currency_symbol:
                                type: string
                          original_price: {}
                          condition: {}
                          size:
                            type: string
                          size_system:
                            type: string
                          colors:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                rgb:
                                  type: string
                          department:
                            type: object
                            properties:
                              id:
                                type: string
                              display:
                                type: string
                              slug:
                                type: string
                          category:
                            type: object
                            properties:
                              id:
                                type: string
                              display:
                                type: string
                              slug:
                                type: string
                          subcategories:
                            type: array
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                display:
                                  type: string
                                slug:
                                  type: string
                          image:
                            type: string
                          images:
                            type: array
                            items:
                              type: string
                          status:
                            type: string
                          availability:
                            type: string
                          origin_domain:
                            type: string
                          share_count:
                            type: integer
                          like_count:
                            type: integer
                          comment_count:
                            type: integer
                          has_offer:
                            type: boolean
                          created_at:
                            type: integer
                          first_published_at:
                            type: integer
                          updated_at:
                            type: integer
                          seller:
                            type: object
                            properties:
                              '@type':
                                type: string
                              id:
                                type: string
                              alias:
                                type: string
                              display_handle:
                                type: string
                              full_name:
                                type: string
                              image:
                                type: string
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            '@type':
                              type: string
                            id:
                              type: string
                            url:
                              type: string
                            title:
                              type: string
                            description:
                              type: string
                            brand:
                              type: string
                              nullable: true
                            brand_id:
                              type: string
                              nullable: true
                            price:
                              type: object
                              properties:
                                '@type':
                                  type: string
                                amount:
                                  type: integer
                                currency:
                                  type: string
                                currency_symbol:
                                  type: string
                            original_price: {}
                            condition:
                              type: string
                              nullable: true
                            size:
                              type: string
                            size_system:
                              type: string
                            colors:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  rgb:
                                    type: string
                            department:
                              type: object
                              properties:
                                id:
                                  type: string
                                display:
                                  type: string
                                slug:
                                  type: string
                            category:
                              type: object
                              properties:
                                id:
                                  type: string
                                display:
                                  type: string
                                slug:
                                  type: string
                            subcategories:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  display:
                                    type: string
                                  slug:
                                    type: string
                            image:
                              type: string
                            images:
                              type: array
                              items:
                                type: string
                            status:
                              type: string
                            availability:
                              type: string
                            origin_domain:
                              type: string
                            share_count:
                              type: integer
                            like_count:
                              type: integer
                            comment_count:
                              type: integer
                            has_offer:
                              type: boolean
                            created_at:
                              type: integer
                            first_published_at:
                              type: integer
                            updated_at:
                              type: integer
                            seller:
                              type: object
                              properties:
                                '@type':
                                  type: string
                                id:
                                  type: string
                                alias:
                                  type: string
                                display_handle:
                                  type: string
                                full_name:
                                  type: string
                                image:
                                  type: string
                      not_found:
                        type: boolean
                      proxy_traffic_bytes:
                        type: integer
                    description: Structured result payload.
                  total_points:
                    type: integer
                    description: Points charged for this run.
              example:
                session_id: 11111111-1111-1111-1111-111111111111
                kind: poshmark_item_related
                item: Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea
                item_id: 6865651dd6c0dc3f3fdfc8ea
                domain: poshmark.com
                max_items: 2
                partial: false
                human: |-
                  # Poshmark related items

                  - **Item:** Listing id or URL, e.g. 6865651dd6c0dc3f3fdfc8ea
                  - **Domain:** poshmark.com
                  - **Max items:** 2
                  - **Records returned:** 2
                  - **Proxy traffic:** 1.55 MB
                machine:
                  total_items: 2
                  first_item:
                    '@type': PoshmarkListing
                    id: 6a7b58a9046d1f2c0192c6b4
                    url: https://poshmark.com/listing/6a7b58a9046d1f2c0192c6b4
                    title: Lululemon Blue Active Leggings
                    description: >-
                      Comfortable blue leggings designed for active wear.
                      Smooth, stretchy fabric offers flexible movement and a
                      snug fit. High waistband provides gentle support during
                      play and sports. Easy-care material f
                    brand: null
                    brand_id: null
                    price:
                      '@type': PoshmarkPrice
                      amount: 25
                      currency: USD
                      currency_symbol: $
                    original_price: null
                    condition: null
                    size: '10'
                    size_system: us
                    colors:
                      - name: Blue
                        rgb: '#137fc1'
                    department:
                      id: 000e8975d97b4e80ef00a955
                      display: Women
                      slug: Women
                    category:
                      id: 001c8975d97b4e80ef00a955
                      display: Pants & Jumpsuits
                      slug: Pants_&_Jumpsuits
                    subcategories:
                      - id: 00b09287d97b4e80ef00a955
                        display: Leggings
                        slug: Leggings
                    image: >-
                      https://di2ponv0v5otw.cloudfront.net/posts/2026/08/11/6a7b58a9046d1f2c0192c6b4/m_6a7b58bdf00c55d6b078b64b.jpg
                    images:
                      - >-
                        https://di2ponv0v5otw.cloudfront.net/posts/2026/08/11/6a7b58a9046d1f2c0192c6b4/m_6a7b58dbb9dd7050ceed90f9.jpg
                      - >-
                        https://di2ponv0v5otw.cloudfront.net/posts/2026/08/11/6a7b58a9046d1f2c0192c6b4/m_6a7b58dc4adcb3cca538a285.jpg
                    status: published
                    availability: available
                    origin_domain: us
                    share_count: 24
                    like_count: 0
                    comment_count: 0
                    has_offer: false
                    created_at: 1786468521
                    first_published_at: 1786468632
                    updated_at: 1786883306
                    seller:
                      '@type': PoshmarkUserPreview
                      id: 5f9ab877bf2d18224bc649e2
                      alias: hls24f1999
                      display_handle: hls24f1999
                      full_name: Hannah Slomkowski
                      image: >-
                        https://di2ponv0v5otw.cloudfront.net/users/2021/11/29/13/t_61a54b249c0cab1198784b4f.jpg
                  items:
                    - '@type': PoshmarkListing
                      id: 6a7b58a9046d1f2c0192c6b4
                      url: https://poshmark.com/listing/6a7b58a9046d1f2c0192c6b4
                      title: Lululemon Blue Active Leggings
                      description: >-
                        Comfortable blue leggings designed for active wear.
                        Smooth, stretchy fabric offers flexible movement and a
                        snug fit. High waistband provides gentle support during
                        play and sports. Easy-care material f
                      brand: null
                      brand_id: null
                      price:
                        '@type': PoshmarkPrice
                        amount: 25
                        currency: USD
                        currency_symbol: $
                      original_price: null
                      condition: null
                      size: '10'
                      size_system: us
                      colors:
                        - name: Blue
                          rgb: '#137fc1'
                      department:
                        id: 000e8975d97b4e80ef00a955
                        display: Women
                        slug: Women
                      category:
                        id: 001c8975d97b4e80ef00a955
                        display: Pants & Jumpsuits
                        slug: Pants_&_Jumpsuits
                      subcategories:
                        - id: 00b09287d97b4e80ef00a955
                          display: Leggings
                          slug: Leggings
                      image: >-
                        https://di2ponv0v5otw.cloudfront.net/posts/2026/08/11/6a7b58a9046d1f2c0192c6b4/m_6a7b58bdf00c55d6b078b64b.jpg
                      images:
                        - >-
                          https://di2ponv0v5otw.cloudfront.net/posts/2026/08/11/6a7b58a9046d1f2c0192c6b4/m_6a7b58dbb9dd7050ceed90f9.jpg
                        - >-
                          https://di2ponv0v5otw.cloudfront.net/posts/2026/08/11/6a7b58a9046d1f2c0192c6b4/m_6a7b58dc4adcb3cca538a285.jpg
                      status: published
                      availability: available
                      origin_domain: us
                      share_count: 24
                      like_count: 0
                      comment_count: 0
                      has_offer: false
                      created_at: 1786468521
                      first_published_at: 1786468632
                      updated_at: 1786883306
                      seller:
                        '@type': PoshmarkUserPreview
                        id: 5f9ab877bf2d18224bc649e2
                        alias: hls24f1999
                        display_handle: hls24f1999
                        full_name: Hannah Slomkowski
                        image: >-
                          https://di2ponv0v5otw.cloudfront.net/users/2021/11/29/13/t_61a54b249c0cab1198784b4f.jpg
                    - '@type': PoshmarkListing
                      id: 6a86435c7282534a0b53e4da
                      url: https://poshmark.com/listing/6a86435c7282534a0b53e4da
                      title: >-
                        lululemon athletica Women's grey High-Rise Athletic
                        Leggings
                      description: >-
                        Light gray leggings with a smooth, stretchy knit for
                        active play. High-rise waistband offers gentle support
                        and stays in place during movement. Breathable,
                        easy-care fabric that pairs well with tees a
                      brand: lululemon athletica
                      brand_id: 53d96e4f5632a02800000281
                      price:
                        '@type': PoshmarkPrice
                        amount: 30
                        currency: USD
                        currency_symbol: $
                      original_price: null
                      condition: uln
                      size: '10'
                      size_system: us
                      colors:
                        - name: Gray
                          rgb: '#929292'
                      department:
                        id: 000e8975d97b4e80ef00a955
                        display: Women
                        slug: Women
                      category:
                        id: 001c8975d97b4e80ef00a955
                        display: Pants & Jumpsuits
                        slug: Pants_&_Jumpsuits
                      subcategories:
                        - id: 00b09287d97b4e80ef00a955
                          display: Leggings
                          slug: Leggings
                      image: >-
                        https://di2ponv0v5otw.cloudfront.net/posts/2026/08/19/6a86435c7282534a0b53e4da/m_6a864362c6a0b32c4d503c89.jpg
                      images:
                        - >-
                          https://di2ponv0v5otw.cloudfront.net/posts/2026/08/19/6a86435c7282534a0b53e4da/m_6a86436328951ffd97bfd8a1.jpg
                        - >-
                          https://di2ponv0v5otw.cloudfront.net/posts/2026/08/19/6a86435c7282534a0b53e4da/m_6a86436441ae66bc82ca7993.jpg
                      status: published
                      availability: available
                      origin_domain: us
                      share_count: 1
                      like_count: 1
                      comment_count: 0
                      has_offer: false
                      created_at: 1787183964
                      first_published_at: 1787184017
                      updated_at: 1789339371
                      seller:
                        '@type': PoshmarkUserPreview
                        id: 61d3bfa6fdea1b3f47799752
                        alias: meganwade644
                        display_handle: meganwade644
                        full_name: Megan Wade
                        image: >-
                          https://di2ponv0v5otw.cloudfront.net/users/2022/01/03/19/t_61d3bfa7fdea1b3f47799855.jpg
                  not_found: false
                  proxy_traffic_bytes: 1626773
                total_points: 2
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '402':
          description: Payment Required
        '500':
          description: Internal Error
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````